package com.ruoyi.ie.mapper;

import java.util.List;
import com.ruoyi.ie.domain.AEnrollUniversity;

/**
 * 院校考生考核方式总体Mapper接口
 * 
 * @author voluntary
 * @date 2023-12-06
 */
public interface AEnrollUniversityMapper 
{
    /**
     * 查询院校考生考核方式总体
     * 
     * @param id 院校考生考核方式总体主键
     * @return 院校考生考核方式总体
     */
    public AEnrollUniversity selectAEnrollUniversityById(Long id);

    /**
     * 查询院校考生考核方式总体列表
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 院校考生考核方式总体集合
     */
    public List<AEnrollUniversity> selectAEnrollUniversityList(AEnrollUniversity aEnrollUniversity);

    /**
     * 新增院校考生考核方式总体
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 结果
     */
    public int insertAEnrollUniversity(AEnrollUniversity aEnrollUniversity);

    /**
     * 修改院校考生考核方式总体
     * 
     * @param aEnrollUniversity 院校考生考核方式总体
     * @return 结果
     */
    public int updateAEnrollUniversity(AEnrollUniversity aEnrollUniversity);

    /**
     * 删除院校考生考核方式总体
     * 
     * @param id 院校考生考核方式总体主键
     * @return 结果
     */
    public int deleteAEnrollUniversityById(Long id);

    /**
     * 批量删除院校考生考核方式总体
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAEnrollUniversityByIds(Long[] ids);
}
