package com.ruoyi.mxjb.mapper;

import java.util.List;
import com.ruoyi.mxjb.domain.BBusiWishUniversityMarjorsCollege;

/**
 * 院校计划计划组Mapper接口
 * 
 * @author mingxue
 * @date 2022-07-22
 */
public interface BBusiWishUniversityMarjorsCollegeMapper 
{
    /**
     * 查询院校计划计划组
     * 
     * @param id 院校计划计划组ID
     * @return 院校计划计划组
     */
    public BBusiWishUniversityMarjorsCollege selectBBusiWishUniversityMarjorsCollegeById(Long id);

    /**
     * 查询院校计划计划组列表
     * 
     * @param bBusiWishUniversityMarjorsCollege 院校计划计划组
     * @return 院校计划计划组集合
     */
    public List<BBusiWishUniversityMarjorsCollege> selectBBusiWishUniversityMarjorsCollegeList(BBusiWishUniversityMarjorsCollege bBusiWishUniversityMarjorsCollege);

    /**
     * 新增院校计划计划组
     * 
     * @param bBusiWishUniversityMarjorsCollege 院校计划计划组
     * @return 结果
     */
    public int insertBBusiWishUniversityMarjorsCollege(BBusiWishUniversityMarjorsCollege bBusiWishUniversityMarjorsCollege);

    /**
     * 修改院校计划计划组
     * 
     * @param bBusiWishUniversityMarjorsCollege 院校计划计划组
     * @return 结果
     */
    public int updateBBusiWishUniversityMarjorsCollege(BBusiWishUniversityMarjorsCollege bBusiWishUniversityMarjorsCollege);

    /**
     * 删除院校计划计划组
     * 
     * @param id 院校计划计划组ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsCollegeById(Long id);

    /**
     * 批量删除院校计划计划组
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsCollegeByIds(Long[] ids);
}
