package com.ruoyi.mxjb.mapper;

import com.ruoyi.mxjb.domain.BBusiWishUniversityMarjorsPlanSubmit;

import java.util.Collection;
import java.util.List;

/**
 * 院校计划历史Mapper接口
 * 
 * @author mingxue
 * @date 2022-07-22
 */
public interface BBusiWishUniversityMarjorsPlanSubmitMapper 
{
    /**
     * 查询院校计划历史
     * 
     * @param planId 院校计划历史ID
     * @return 院校计划历史
     */
    public BBusiWishUniversityMarjorsPlanSubmit selectBBusiWishUniversityMarjorsPlanSubmitById(Long planId);
    public List<BBusiWishUniversityMarjorsPlanSubmit> selectBBusiWishUniversityMarjorsPlanSubmitByIds(Collection<Long> planIds);
    /**
     * 查询院校计划历史列表
     * 
     * @param bBusiWishUniversityMarjorsPlanSubmit 院校计划历史
     * @return 院校计划历史集合
     */
    public List<BBusiWishUniversityMarjorsPlanSubmit> selectBBusiWishUniversityMarjorsPlanSubmitList(BBusiWishUniversityMarjorsPlanSubmit bBusiWishUniversityMarjorsPlanSubmit);

    /**
     * 新增院校计划历史
     * 
     * @param bBusiWishUniversityMarjorsPlanSubmit 院校计划历史
     * @return 结果
     */
    public int insertBBusiWishUniversityMarjorsPlanSubmit(BBusiWishUniversityMarjorsPlanSubmit bBusiWishUniversityMarjorsPlanSubmit);

    /**
     * 修改院校计划历史
     * 
     * @param bBusiWishUniversityMarjorsPlanSubmit 院校计划历史
     * @return 结果
     */
    public int updateBBusiWishUniversityMarjorsPlanSubmit(BBusiWishUniversityMarjorsPlanSubmit bBusiWishUniversityMarjorsPlanSubmit);

    /**
     * 删除院校计划历史
     * 
     * @param planId 院校计划历史ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsPlanSubmitById(Long planId);

    /**
     * 批量删除院校计划历史
     * 
     * @param planIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsPlanSubmitByIds(Long[] planIds);
}
