package com.ruoyi.mxjb.mapper;

import java.util.List;
import com.ruoyi.mxjb.domain.MxjbSelectedGroup;

/**
 * 科目组合Mapper接口
 * 
 * @author mingxue
 * @date 2021-12-25
 */
public interface MxjbSelectedGroupMapper 
{
    /**
     * 查询科目组合
     * 
     * @param groupId 科目组合ID
     * @return 科目组合
     */
    public MxjbSelectedGroup selectMxjbSelectedGroupById(Integer groupId);

    /**
     * 查询科目组合列表
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 科目组合集合
     */
    public List<MxjbSelectedGroup> selectMxjbSelectedGroupList(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 新增科目组合
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 结果
     */
    public int insertMxjbSelectedGroup(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 修改科目组合
     * 
     * @param mxjbSelectedGroup 科目组合
     * @return 结果
     */
    public int updateMxjbSelectedGroup(MxjbSelectedGroup mxjbSelectedGroup);

    /**
     * 删除科目组合
     * 
     * @param groupId 科目组合ID
     * @return 结果
     */
    public int deleteMxjbSelectedGroupById(Integer groupId);

    /**
     * 批量删除科目组合
     * 
     * @param groupIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteMxjbSelectedGroupByIds(Integer[] groupIds);
}
