package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesDepartment;

/**
 * 院校院系Mapper接口
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public interface BBusiWishUniversitiesDepartmentMapper 
{
    /**
     * 查询院校院系
     * 
     * @param departmentId 院校院系ID
     * @return 院校院系
     */
    public BBusiWishUniversitiesDepartment selectBBusiWishUniversitiesDepartmentById(String departmentId);

    /**
     * 查询院校院系列表
     * 
     * @param bBusiWishUniversitiesDepartment 院校院系
     * @return 院校院系集合
     */
    public List<BBusiWishUniversitiesDepartment> selectBBusiWishUniversitiesDepartmentList(BBusiWishUniversitiesDepartment bBusiWishUniversitiesDepartment);

    /**
     * 新增院校院系
     * 
     * @param bBusiWishUniversitiesDepartment 院校院系
     * @return 结果
     */
    public int insertBBusiWishUniversitiesDepartment(BBusiWishUniversitiesDepartment bBusiWishUniversitiesDepartment);

    /**
     * 修改院校院系
     * 
     * @param bBusiWishUniversitiesDepartment 院校院系
     * @return 结果
     */
    public int updateBBusiWishUniversitiesDepartment(BBusiWishUniversitiesDepartment bBusiWishUniversitiesDepartment);

    /**
     * 删除院校院系
     * 
     * @param departmentId 院校院系ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesDepartmentById(String departmentId);

    /**
     * 批量删除院校院系
     * 
     * @param departmentIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesDepartmentByIds(String[] departmentIds);
}
