package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesSubject;

/**
 * 院校重点&双一流学科Mapper接口
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public interface BBusiWishUniversitiesSubjectMapper 
{
    /**
     * 查询院校重点&双一流学科
     * 
     * @param id 院校重点&双一流学科ID
     * @return 院校重点&双一流学科
     */
    public BBusiWishUniversitiesSubject selectBBusiWishUniversitiesSubjectById(String id);

    /**
     * 查询院校重点&双一流学科列表
     * 
     * @param bBusiWishUniversitiesSubject 院校重点&双一流学科
     * @return 院校重点&双一流学科集合
     */
    public List<BBusiWishUniversitiesSubject> selectBBusiWishUniversitiesSubjectList(BBusiWishUniversitiesSubject bBusiWishUniversitiesSubject);

    /**
     * 新增院校重点&双一流学科
     * 
     * @param bBusiWishUniversitiesSubject 院校重点&双一流学科
     * @return 结果
     */
    public int insertBBusiWishUniversitiesSubject(BBusiWishUniversitiesSubject bBusiWishUniversitiesSubject);

    /**
     * 修改院校重点&双一流学科
     * 
     * @param bBusiWishUniversitiesSubject 院校重点&双一流学科
     * @return 结果
     */
    public int updateBBusiWishUniversitiesSubject(BBusiWishUniversitiesSubject bBusiWishUniversitiesSubject);

    /**
     * 删除院校重点&双一流学科
     * 
     * @param id 院校重点&双一流学科ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesSubjectById(String id);

    /**
     * 批量删除院校重点&双一流学科
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesSubjectByIds(String[] ids);
}
