package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversityMarjors;

/**
 * 院校专业Mapper接口
 * 
 * @author mingxue
 * @date 2021-07-30
 */
public interface BBusiWishUniversityMarjorsMapper {
    /**
     * 查询院校专业
     * 
     * @param id 院校专业ID
     * @return 院校专业
     */
    public BBusiWishUniversityMarjors selectBBusiWishUniversityMarjorsById(Long id);

    /**
     * 查询院校专业列表
     * 
     * @param bBusiWishUniversityMarjors 院校专业
     * @return 院校专业集合
     */
    public List<BBusiWishUniversityMarjors> selectBBusiWishUniversityMarjorsList(BBusiWishUniversityMarjors bBusiWishUniversityMarjors);

    /**
     * 新增院校专业
     * 
     * @param bBusiWishUniversityMarjors 院校专业
     * @return 结果
     */
    public int insertBBusiWishUniversityMarjors(BBusiWishUniversityMarjors bBusiWishUniversityMarjors);

    /**
     * 修改院校专业
     * 
     * @param bBusiWishUniversityMarjors 院校专业
     * @return 结果
     */
    public int updateBBusiWishUniversityMarjors(BBusiWishUniversityMarjors bBusiWishUniversityMarjors);

    /**
     * 删除院校专业
     * 
     * @param id 院校专业ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsById(Long id);

    /**
     * 批量删除院校专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsByIds(Long[] ids);
}
