package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishXkcxCourseGroup;

/**
 * 地区批次录取分数线Service接口
 * 
 * @author mingxue
 * @date 2021-08-18
 */
public interface IBBusiWishXkcxCourseGroupService {
    /**
     * 查询地区批次录取分数线
     * 
     * @param id 地区批次录取分数线ID
     * @return 地区批次录取分数线
     */
    public BBusiWishXkcxCourseGroup selectBBusiWishXkcxCourseGroupById(Long id);

    /**
     * 查询地区批次录取分数线列表
     * 
     * @param bBusiWishXkcxCourseGroup 地区批次录取分数线
     * @return 地区批次录取分数线集合
     */
    public List<BBusiWishXkcxCourseGroup> selectBBusiWishXkcxCourseGroupList(BBusiWishXkcxCourseGroup bBusiWishXkcxCourseGroup);

    /**
     * 新增地区批次录取分数线
     * 
     * @param bBusiWishXkcxCourseGroup 地区批次录取分数线
     * @return 结果
     */
    public int insertBBusiWishXkcxCourseGroup(BBusiWishXkcxCourseGroup bBusiWishXkcxCourseGroup);

    /**
     * 修改地区批次录取分数线
     * 
     * @param bBusiWishXkcxCourseGroup 地区批次录取分数线
     * @return 结果
     */
    public int updateBBusiWishXkcxCourseGroup(BBusiWishXkcxCourseGroup bBusiWishXkcxCourseGroup);

    /**
     * 批量删除地区批次录取分数线
     * 
     * @param ids 需要删除的地区批次录取分数线ID
     * @return 结果
     */
    public int deleteBBusiWishXkcxCourseGroupByIds(Long[] ids);

    /**
     * 删除地区批次录取分数线信息
     * 
     * @param id 地区批次录取分数线ID
     * @return 结果
     */
    public int deleteBBusiWishXkcxCourseGroupById(Long id);
}
