export default {
  sharedColumns: [{
    prop: 'id',
    label: 'ID',
    width: 70
  }, {
    prop: 'collegeCode',
    label: '院校招生代码',
    width: 80
  }, {
    prop: 'year',
    label: '年份',
    width: 60
  }, {
    prop: 'location',
    label: '所在地',
    width: 80,
    copyable: true
  }, {
    prop: 'batch',
    label: '批次，对应表中level',
    hidden: true
  }, {
    prop: 'level',
    label: '层次',
    width: 80,
    copyable: true
  }, {
    prop: 'course',
    label: '选科组合',
    hidden: true
  }, {
    prop: 'liberalScience',
    label: '科类',
    hidden: true
  }, {
    prop: 'type',
    label: '类别',
    width: 60,
    copyable: true
  }, {
    prop: 'marjorId',
    label: '专业ID',
    hidden: true
  }, {
    prop: 'universityId',
    label: '院校ID',
    hidden: true
  }, {
    prop: 'universityCode',
    label: '院校编码',
    width: 60,
    copyable: true
  }, {
    prop: 'universityName',
    label: '院校名称',
    width: 120
  }, {
    prop: 'marjorCode',
    label: '专业编码',
    width: 60
  }, {
    prop: 'marjorName',
    label: '专业名称',
    width: 120,
    copyable: true
  }, {
    prop: 'marjorBelongs',
    label: '专业包含',
    width: 50
  }, {
    prop: 'marjorNameText',
    label: '专业别名(通用)',
    width: 80,
    copyable: true
  }, {
    prop: 'marjorDirection',
    label: '专业方向',
  }, {
    prop: 'xuezhi',
    label: '学制',
    width: 50,
    disableForEnroll: true
  }]
}
// <!--      <el-table-column label="创建时间" align="center" prop="createTime" width="180" />-->
// <!--      <el-table-column label="状态" align="center" prop="status" />-->
// <!--      <el-table-column label="计划数" align="center" prop="planCount" />-->
// <!--      <el-table-column label="计划类型" align="center" prop="planType" />-->
// <!--      <el-table-column label="学费" align="center" prop="xuefei" />-->
// <!--      <el-table-column label="学制" align="center" prop="xuezhi" />-->
// <!--      <el-table-column label="专项" align="center" prop="specialProject" />-->
// <!--      <el-table-column label="universityNameText" align="center" prop="universityNameText" />-->
// <!--      <el-table-column label="universityNameTextProcess" align="center" prop="universityNameTextProcess" />-->
// <!--      <el-table-column label="udid" align="center" prop="udid" />-->
