package com.ruoyi.web.controller.back;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.voluntary.domain.BusiGrade;
import com.ruoyi.voluntary.service.IBusiGradeService;

/**
 * 年级Controller
 * 
 * @author voluntary
 * @date 2022-11-20
 */
@RestController
@RequestMapping("/voluntary/busiGrade")
public class BackBusiGradeController extends BaseController {
    @Autowired
    private IBusiGradeService busiGradeService;

    /**
     * 查询年级列表
     */
    @GetMapping("/list")
    public TableDataInfo list(BusiGrade busiGrade) {
        startPage();
        List<BusiGrade> list = busiGradeService.selectBusiGradeList(busiGrade);
        return getDataTable(list);
    }
}
