package com.ruoyi.dezhi.service;

import java.util.List;
import com.ruoyi.dezhi.domain.BBusiDezhiVideoPackageTeacher;

/**
 * 视频包老师Service接口
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public interface IBBusiDezhiVideoPackageTeacherService 
{
    /**
     * 查询视频包老师
     * 
     * @param id 视频包老师ID
     * @return 视频包老师
     */
    public BBusiDezhiVideoPackageTeacher selectBBusiDezhiVideoPackageTeacherById(Long id);

    /**
     * 查询视频包老师列表
     * 
     * @param bBusiDezhiVideoPackageTeacher 视频包老师
     * @return 视频包老师集合
     */
    public List<BBusiDezhiVideoPackageTeacher> selectBBusiDezhiVideoPackageTeacherList(BBusiDezhiVideoPackageTeacher bBusiDezhiVideoPackageTeacher);

    /**
     * 新增视频包老师
     * 
     * @param bBusiDezhiVideoPackageTeacher 视频包老师
     * @return 结果
     */
    public int insertBBusiDezhiVideoPackageTeacher(BBusiDezhiVideoPackageTeacher bBusiDezhiVideoPackageTeacher);

    /**
     * 修改视频包老师
     * 
     * @param bBusiDezhiVideoPackageTeacher 视频包老师
     * @return 结果
     */
    public int updateBBusiDezhiVideoPackageTeacher(BBusiDezhiVideoPackageTeacher bBusiDezhiVideoPackageTeacher);

    /**
     * 批量删除视频包老师
     * 
     * @param ids 需要删除的视频包老师ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoPackageTeacherByIds(Long[] ids);

    /**
     * 删除视频包老师信息
     * 
     * @param id 视频包老师ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoPackageTeacherById(Long id);
}
