package com.ruoyi.mxjb.mapper;

import java.util.List;
import com.ruoyi.mxjb.domain.BBusiWishUniversityMarjorsGroup;

/**
 * 院校专业分组跨年聚合Mapper接口
 * 
 * @author voluntary
 * @date 2022-12-01
 */
public interface BBusiWishUniversityMarjorsGroupMapper 
{
    /**
     * 查询院校专业分组跨年聚合
     * 
     * @param groupId 院校专业分组跨年聚合主键
     * @return 院校专业分组跨年聚合
     */
    public BBusiWishUniversityMarjorsGroup selectBBusiWishUniversityMarjorsGroupByGroupId(Long groupId);

    /**
     * 查询院校专业分组跨年聚合列表
     * 
     * @param bBusiWishUniversityMarjorsGroup 院校专业分组跨年聚合
     * @return 院校专业分组跨年聚合集合
     */
    public List<BBusiWishUniversityMarjorsGroup> selectBBusiWishUniversityMarjorsGroupList(BBusiWishUniversityMarjorsGroup bBusiWishUniversityMarjorsGroup);

    /**
     * 新增院校专业分组跨年聚合
     * 
     * @param bBusiWishUniversityMarjorsGroup 院校专业分组跨年聚合
     * @return 结果
     */
    public int insertBBusiWishUniversityMarjorsGroup(BBusiWishUniversityMarjorsGroup bBusiWishUniversityMarjorsGroup);

    /**
     * 修改院校专业分组跨年聚合
     * 
     * @param bBusiWishUniversityMarjorsGroup 院校专业分组跨年聚合
     * @return 结果
     */
    public int updateBBusiWishUniversityMarjorsGroup(BBusiWishUniversityMarjorsGroup bBusiWishUniversityMarjorsGroup);

    /**
     * 删除院校专业分组跨年聚合
     * 
     * @param groupId 院校专业分组跨年聚合主键
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsGroupByGroupId(Long groupId);

    /**
     * 批量删除院校专业分组跨年聚合
     * 
     * @param groupIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBBusiWishUniversityMarjorsGroupByGroupIds(Long[] groupIds);
}
