package com.ruoyi.mxjb.mapper;

import com.ruoyi.mxjb.domain.MxjbMultipleWayForm;

import java.util.List;

/**
 * 多元升学表单Mapper接口
 * 
 * @author voluntary
 * @date 2023-08-03
 */
public interface MxjbMultipleWayFormMapper 
{
    /**
     * 查询多元升学表单
     * 
     * @param formId 多元升学表单主键
     * @return 多元升学表单
     */
    public MxjbMultipleWayForm selectMxjbMultipleWayFormByFormId(Long formId);

    /**
     * 查询多元升学表单列表
     * 
     * @param mxjbMultipleWayForm 多元升学表单
     * @return 多元升学表单集合
     */
    public List<MxjbMultipleWayForm> selectMxjbMultipleWayFormList(MxjbMultipleWayForm mxjbMultipleWayForm);
    public List<MxjbMultipleWayForm> selectMxjbMultipleWayFormSimpleList(MxjbMultipleWayForm mxjbMultipleWayForm);

    /**
     * 新增多元升学表单
     * 
     * @param mxjbMultipleWayForm 多元升学表单
     * @return 结果
     */
    public int insertMxjbMultipleWayForm(MxjbMultipleWayForm mxjbMultipleWayForm);

    /**
     * 修改多元升学表单
     * 
     * @param mxjbMultipleWayForm 多元升学表单
     * @return 结果
     */
    public int updateMxjbMultipleWayForm(MxjbMultipleWayForm mxjbMultipleWayForm);

    /**
     * 删除多元升学表单
     * 
     * @param formId 多元升学表单主键
     * @return 结果
     */
    public int deleteMxjbMultipleWayFormByFormId(Long formId);

    /**
     * 批量删除多元升学表单
     * 
     * @param formIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMxjbMultipleWayFormByFormIds(Long[] formIds);
}
