package com.ruoyi.mxjb.mapper;

import java.util.List;
import com.ruoyi.mxjb.domain.MxjbWishScoreRate;

/**
 * mxjbWishScoreRateMapper接口
 * 
 * @author voluntary
 * @date 2023-02-05
 */
public interface MxjbWishScoreRateMapper 
{
    /**
     * 查询mxjbWishScoreRate
     * 
     * @param id mxjbWishScoreRate主键
     * @return mxjbWishScoreRate
     */
    public MxjbWishScoreRate selectMxjbWishScoreRateById(Long id);

    /**
     * 查询mxjbWishScoreRate列表
     * 
     * @param mxjbWishScoreRate mxjbWishScoreRate
     * @return mxjbWishScoreRate集合
     */
    public List<MxjbWishScoreRate> selectMxjbWishScoreRateList(MxjbWishScoreRate mxjbWishScoreRate);

    /**
     * 新增mxjbWishScoreRate
     * 
     * @param mxjbWishScoreRate mxjbWishScoreRate
     * @return 结果
     */
    public int insertMxjbWishScoreRate(MxjbWishScoreRate mxjbWishScoreRate);

    /**
     * 修改mxjbWishScoreRate
     * 
     * @param mxjbWishScoreRate mxjbWishScoreRate
     * @return 结果
     */
    public int updateMxjbWishScoreRate(MxjbWishScoreRate mxjbWishScoreRate);

    /**
     * 删除mxjbWishScoreRate
     * 
     * @param id mxjbWishScoreRate主键
     * @return 结果
     */
    public int deleteMxjbWishScoreRateById(Long id);

    /**
     * 批量删除mxjbWishScoreRate
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMxjbWishScoreRateByIds(Long[] ids);
}
