package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyTestSelectCategory;

/**
 * 测评选专业类Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestSelectCategoryMapper 
{
    /**
     * 查询测评选专业类
     * 
     * @param id 测评选专业类ID
     * @return 测评选专业类
     */
    public SyTestSelectCategory selectSyTestSelectCategoryById(Long id);

    /**
     * 查询测评选专业类列表
     * 
     * @param syTestSelectCategory 测评选专业类
     * @return 测评选专业类集合
     */
    public List<SyTestSelectCategory> selectSyTestSelectCategoryList(SyTestSelectCategory syTestSelectCategory);

    /**
     * 新增测评选专业类
     * 
     * @param syTestSelectCategory 测评选专业类
     * @return 结果
     */
    public int insertSyTestSelectCategory(SyTestSelectCategory syTestSelectCategory);

    /**
     * 修改测评选专业类
     * 
     * @param syTestSelectCategory 测评选专业类
     * @return 结果
     */
    public int updateSyTestSelectCategory(SyTestSelectCategory syTestSelectCategory);

    /**
     * 删除测评选专业类
     * 
     * @param id 测评选专业类ID
     * @return 结果
     */
    public int deleteSyTestSelectCategoryById(Long id);

    /**
     * 批量删除测评选专业类
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestSelectCategoryByIds(Long[] ids);
}
