package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiHollandRecords;

/**
 * 霍兰德测评记录Mapper接口
 * 
 * @author mingxue
 * @date 2021-08-15
 */
public interface BBusiHollandRecordsMapper {
    /**
     * 查询霍兰德测评记录
     * 
     * @param id 霍兰德测评记录ID
     * @return 霍兰德测评记录
     */
    public BBusiHollandRecords selectBBusiHollandRecordsById(Long id);

    /**
     * 查询霍兰德测评记录列表
     * 
     * @param bBusiHollandRecords 霍兰德测评记录
     * @return 霍兰德测评记录集合
     */
    public List<BBusiHollandRecords> selectBBusiHollandRecordsList(BBusiHollandRecords bBusiHollandRecords);

    /**
     * 新增霍兰德测评记录
     * 
     * @param bBusiHollandRecords 霍兰德测评记录
     * @return 结果
     */
    public int insertBBusiHollandRecords(BBusiHollandRecords bBusiHollandRecords);

    /**
     * 修改霍兰德测评记录
     * 
     * @param bBusiHollandRecords 霍兰德测评记录
     * @return 结果
     */
    public int updateBBusiHollandRecords(BBusiHollandRecords bBusiHollandRecords);

    /**
     * 删除霍兰德测评记录
     * 
     * @param id 霍兰德测评记录ID
     * @return 结果
     */
    public int deleteBBusiHollandRecordsById(Long id);

    /**
     * 批量删除霍兰德测评记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiHollandRecordsByIds(Long[] ids);
}
