package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesDepartmentMajor;

/**
 * 院校院系专业Mapper接口
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public interface BBusiWishUniversitiesDepartmentMajorMapper 
{
    /**
     * 查询院校院系专业
     * 
     * @param id 院校院系专业ID
     * @return 院校院系专业
     */
    public BBusiWishUniversitiesDepartmentMajor selectBBusiWishUniversitiesDepartmentMajorById(String id);

    /**
     * 查询院校院系专业列表
     * 
     * @param bBusiWishUniversitiesDepartmentMajor 院校院系专业
     * @return 院校院系专业集合
     */
    public List<BBusiWishUniversitiesDepartmentMajor> selectBBusiWishUniversitiesDepartmentMajorList(BBusiWishUniversitiesDepartmentMajor bBusiWishUniversitiesDepartmentMajor);

    /**
     * 新增院校院系专业
     * 
     * @param bBusiWishUniversitiesDepartmentMajor 院校院系专业
     * @return 结果
     */
    public int insertBBusiWishUniversitiesDepartmentMajor(BBusiWishUniversitiesDepartmentMajor bBusiWishUniversitiesDepartmentMajor);

    /**
     * 修改院校院系专业
     * 
     * @param bBusiWishUniversitiesDepartmentMajor 院校院系专业
     * @return 结果
     */
    public int updateBBusiWishUniversitiesDepartmentMajor(BBusiWishUniversitiesDepartmentMajor bBusiWishUniversitiesDepartmentMajor);

    /**
     * 删除院校院系专业
     * 
     * @param id 院校院系专业ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesDepartmentMajorById(String id);

    /**
     * 批量删除院校院系专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesDepartmentMajorByIds(String[] ids);
}
