package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesEmploymentreport;

/**
 * 就业报告Mapper接口
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public interface BBusiWishUniversitiesEmploymentreportMapper 
{
    /**
     * 查询就业报告
     * 
     * @param id 就业报告ID
     * @return 就业报告
     */
    public BBusiWishUniversitiesEmploymentreport selectBBusiWishUniversitiesEmploymentreportById(String id);

    /**
     * 查询就业报告列表
     * 
     * @param bBusiWishUniversitiesEmploymentreport 就业报告
     * @return 就业报告集合
     */
    public List<BBusiWishUniversitiesEmploymentreport> selectBBusiWishUniversitiesEmploymentreportList(BBusiWishUniversitiesEmploymentreport bBusiWishUniversitiesEmploymentreport);

    /**
     * 新增就业报告
     * 
     * @param bBusiWishUniversitiesEmploymentreport 就业报告
     * @return 结果
     */
    public int insertBBusiWishUniversitiesEmploymentreport(BBusiWishUniversitiesEmploymentreport bBusiWishUniversitiesEmploymentreport);

    /**
     * 修改就业报告
     * 
     * @param bBusiWishUniversitiesEmploymentreport 就业报告
     * @return 结果
     */
    public int updateBBusiWishUniversitiesEmploymentreport(BBusiWishUniversitiesEmploymentreport bBusiWishUniversitiesEmploymentreport);

    /**
     * 删除就业报告
     * 
     * @param id 就业报告ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesEmploymentreportById(String id);

    /**
     * 批量删除就业报告
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesEmploymentreportByIds(String[] ids);
}
