package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesEnrollBrochure;

/**
 * 院校招生简章Mapper接口
 * 
 * @author voluntary
 * @date 2024-09-27
 */
public interface BBusiWishUniversitiesEnrollBrochureMapper 
{
    /**
     * 查询院校招生简章
     * 
     * @param id 院校招生简章主键
     * @return 院校招生简章
     */
    public BBusiWishUniversitiesEnrollBrochure selectBBusiWishUniversitiesEnrollBrochureById(Long id);

    /**
     * 查询院校招生简章列表
     * 
     * @param bBusiWishUniversitiesEnrollBrochure 院校招生简章
     * @return 院校招生简章集合
     */
    public List<BBusiWishUniversitiesEnrollBrochure> selectBBusiWishUniversitiesEnrollBrochureList(BBusiWishUniversitiesEnrollBrochure bBusiWishUniversitiesEnrollBrochure);

    /**
     * 新增院校招生简章
     * 
     * @param bBusiWishUniversitiesEnrollBrochure 院校招生简章
     * @return 结果
     */
    public int insertBBusiWishUniversitiesEnrollBrochure(BBusiWishUniversitiesEnrollBrochure bBusiWishUniversitiesEnrollBrochure);

    /**
     * 修改院校招生简章
     * 
     * @param bBusiWishUniversitiesEnrollBrochure 院校招生简章
     * @return 结果
     */
    public int updateBBusiWishUniversitiesEnrollBrochure(BBusiWishUniversitiesEnrollBrochure bBusiWishUniversitiesEnrollBrochure);

    /**
     * 删除院校招生简章
     * 
     * @param id 院校招生简章主键
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesEnrollBrochureById(Long id);

    /**
     * 批量删除院校招生简章
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesEnrollBrochureByIds(Long[] ids);
}
