package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesSubjectevaluate;

/**
 * 学科评估Mapper接口
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public interface BBusiWishUniversitiesSubjectevaluateMapper 
{
    /**
     * 查询学科评估
     * 
     * @param id 学科评估ID
     * @return 学科评估
     */
    public BBusiWishUniversitiesSubjectevaluate selectBBusiWishUniversitiesSubjectevaluateById(String id);

    /**
     * 查询学科评估列表
     * 
     * @param bBusiWishUniversitiesSubjectevaluate 学科评估
     * @return 学科评估集合
     */
    public List<BBusiWishUniversitiesSubjectevaluate> selectBBusiWishUniversitiesSubjectevaluateList(BBusiWishUniversitiesSubjectevaluate bBusiWishUniversitiesSubjectevaluate);

    /**
     * 新增学科评估
     * 
     * @param bBusiWishUniversitiesSubjectevaluate 学科评估
     * @return 结果
     */
    public int insertBBusiWishUniversitiesSubjectevaluate(BBusiWishUniversitiesSubjectevaluate bBusiWishUniversitiesSubjectevaluate);

    /**
     * 修改学科评估
     * 
     * @param bBusiWishUniversitiesSubjectevaluate 学科评估
     * @return 结果
     */
    public int updateBBusiWishUniversitiesSubjectevaluate(BBusiWishUniversitiesSubjectevaluate bBusiWishUniversitiesSubjectevaluate);

    /**
     * 删除学科评估
     * 
     * @param id 学科评估ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesSubjectevaluateById(String id);

    /**
     * 批量删除学科评估
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesSubjectevaluateByIds(String[] ids);
}
