package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitiesImage;

/**
 * 学校介绍vr/视频/图片Service接口
 * 
 * @author mingxue
 * @date 2022-06-23
 */
public interface IBBusiWishUniversitiesImageService 
{
    /**
     * 查询学校介绍vr/视频/图片
     * 
     * @param id 学校介绍vr/视频/图片ID
     * @return 学校介绍vr/视频/图片
     */
    public BBusiWishUniversitiesImage selectBBusiWishUniversitiesImageById(String id);

    /**
     * 查询学校介绍vr/视频/图片列表
     * 
     * @param bBusiWishUniversitiesImage 学校介绍vr/视频/图片
     * @return 学校介绍vr/视频/图片集合
     */
    public List<BBusiWishUniversitiesImage> selectBBusiWishUniversitiesImageList(BBusiWishUniversitiesImage bBusiWishUniversitiesImage);

    /**
     * 新增学校介绍vr/视频/图片
     * 
     * @param bBusiWishUniversitiesImage 学校介绍vr/视频/图片
     * @return 结果
     */
    public int insertBBusiWishUniversitiesImage(BBusiWishUniversitiesImage bBusiWishUniversitiesImage);

    /**
     * 修改学校介绍vr/视频/图片
     * 
     * @param bBusiWishUniversitiesImage 学校介绍vr/视频/图片
     * @return 结果
     */
    public int updateBBusiWishUniversitiesImage(BBusiWishUniversitiesImage bBusiWishUniversitiesImage);

    /**
     * 批量删除学校介绍vr/视频/图片
     * 
     * @param ids 需要删除的学校介绍vr/视频/图片ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesImageByIds(String[] ids);

    /**
     * 删除学校介绍vr/视频/图片信息
     * 
     * @param id 学校介绍vr/视频/图片ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitiesImageById(String id);
}
